Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.plugin
Class PluginDescriptor

    java.lang.Object
      org.red5.server.plugin.PluginDescriptor

    public final class PluginDescriptor

extends Object

Simple descriptor for plug-ins.

Author:
  Paul Gregoire

Constructor Summary
`PluginDescriptor()`

Method Summary
`String` | `getMethod()`
`String` | `getMethodReturnType()`
`String` | `getPluginName()`
`String` | `getPluginType()`
`Map<String,Object>` | `getProperties()`
`void` | `setMethod(String method)`
`void` | `setMethodReturnType(String methodReturnType)`
`void` | `setPluginName(String pluginName)`
`void` | `setPluginType(String pluginType)`
`void` | `setProperties(Map<String,Object> properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginDescriptor

    public PluginDescriptor()

Method Detail

### getPluginName

    public String getPluginName()

### setPluginName

    public void setPluginName(String pluginName)

### getPluginType

    public String getPluginType()

### setPluginType

    public void setPluginType(String pluginType)

### getMethod

    public String getMethod()

### setMethod

    public void setMethod(String method)

### getMethodReturnType

    public String getMethodReturnType()

### setMethodReturnType

    public void setMethodReturnType(String methodReturnType)

### getProperties

    public Map<String,Object> getProperties()

### setProperties

    public void setProperties(Map<String,Object> properties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project